package com.ether.plot;

import java.util.Date;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import com.ether.instrument.Instrument;
import com.ether.plot.PlotType;
import com.ether.station.Station;

public class Plot {
	
		@Nullable
		public Long getId() {
			return _id;
		}
		
		public void setId(@Nullable final Long id) {
			_id = id;
		}

		@Nullable
		public String getName() {
			return _name;
		}

		public void setName(@Nullable final String name) {
			_name = name;
		}

		@Nullable
		public String getGranulo() {
			return _granulo;
		}

		public void setGranulo(@Nullable final String granulo) {
			_granulo = granulo;
		}

		@Nullable		
		public Date getDatedeb() {
			return _datedeb;
		}
		
		public void setDatedeb(@Nullable final Date datedeb) {
			_datedeb = datedeb;
		}
		
		@Nullable
		public Date getDatefin() {
			return _datefin;
		}

		public void setDatefin(@Nullable final Date datefin) {
			_datefin = datefin;
		}

		@Nullable
		public  PlotType getType() {
			return _type;
		}

		public void setType(@Nullable final PlotType type) {
			_type = type;
		}

		@Nullable
		public Instrument getInstrument() {
			return _instrument;
		}

		public void setInstrument(@Nullable final Instrument instrument) {
			_instrument = instrument;
		}


		@Nullable
        private Long _id;
        @Nullable
        private String _name;
        @Nullable
        private String _granulo;
        @Nullable
        private Date _datedeb;
        @Nullable
        private Date _datefin;
        @Nullable
        private PlotType _type;
        @NotNull
        private Instrument _instrument;
        
}
