package com.ether.instrument;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import com.ether.station.Station;

/**
 * @author vmipsl
 * @date 24 jan 2011
 */
public class Instrument
{
    public Instrument() {}

    @Nullable
    public Long getId() {
	return _id;
    }

    public void setId(@Nullable final Long id) {
	_id = id;
    }

    @Nullable
    public String getName() {
	return _name;
    }

    public void setName(@Nullable final String name) {
	_name = name;
    }

    @Nullable
    public InstrumentType getType() {
	return _type;
    }

    public void setType(@Nullable final InstrumentType type) {
	_type = type;
    }

    @Nullable
    public Station getStation() {
	return _station;
    }

    @Nullable
    public void setStation(@Nullable final Station station) {
	_station = station;
    }

    @Nullable
    private Long _id;
    @Nullable
    private String _name;
    @Nullable
    private InstrumentType _type;
    @Nullable
    private Station _station;
}
